import { InjectionKey } from 'vue';
import { ApColumnState } from '../../../interface';
type ApTableSorterContextProps = {
    fixedToLeft(column: ApColumnState): void;
    fixedToRight(column: ApColumnState): void;
    unFixed(column: ApColumnState): void;
};
export declare const ApTableContextKey: InjectionKey<ApTableSorterContextProps>;
export declare function useProvideSorterMethods(state: ApTableSorterContextProps): void;
export declare function useInjectSorterMethods(): ApTableSorterContextProps;
export {};
